Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Update
[simgrid.git] / examples / gras / chrono / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = chrono_simulator$(EXEEXT) chrono_multiplier$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
48         $(top_srcdir)/acmacro/dist-files.mk \
49         $(top_srcdir)/examples/temps-gras-stub.mk
50 subdir = examples/gras/chrono
51 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
52 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
53         $(top_srcdir)/acmacro/compiler-flags.m4 \
54         $(top_srcdir)/acmacro/context.m4 \
55         $(top_srcdir)/acmacro/fancy_configury.m4 \
56         $(top_srcdir)/acmacro/flex.m4 \
57         $(top_srcdir)/acmacro/gras_arch.m4 \
58         $(top_srcdir)/acmacro/print_null.m4 \
59         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
60 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
61         $(ACLOCAL_M4)
62 mkinstalldirs = $(install_sh) -d
63 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
64 CONFIG_CLEAN_FILES = test_sg test_rl
65 PROGRAMS = $(noinst_PROGRAMS)
66 am_chrono_multiplier_OBJECTS = _chrono_multiplier.$(OBJEXT) \
67         chrono.$(OBJEXT)
68 chrono_multiplier_OBJECTS = $(am_chrono_multiplier_OBJECTS)
69 chrono_multiplier_DEPENDENCIES = $(top_builddir)/src/libgras.la
70 am_chrono_simulator_OBJECTS = _chrono_simulator.$(OBJEXT) \
71         chrono.$(OBJEXT)
72 chrono_simulator_OBJECTS = $(am_chrono_simulator_OBJECTS)
73 chrono_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
74 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
75 depcomp = $(SHELL) $(top_srcdir)/depcomp
76 am__depfiles_maybe = depfiles
77 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
78         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
79 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
80         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
81         $(AM_CFLAGS) $(CFLAGS)
82 CCLD = $(CC)
83 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
84         $(AM_LDFLAGS) $(LDFLAGS) -o $@
85 SOURCES = $(chrono_multiplier_SOURCES) $(chrono_simulator_SOURCES)
86 DIST_SOURCES = $(chrono_multiplier_SOURCES) \
87         $(chrono_simulator_SOURCES)
88 ETAGS = etags
89 CTAGS = ctags
90 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
91 ACLOCAL = @ACLOCAL@
92 ADDR2LINE = @ADDR2LINE@
93 AMDEP_FALSE = @AMDEP_FALSE@
94 AMDEP_TRUE = @AMDEP_TRUE@
95 AMTAR = @AMTAR@
96 AR = @AR@
97 AS = @AS@
98 AUTOCONF = @AUTOCONF@
99 AUTOHEADER = @AUTOHEADER@
100 AUTOMAKE = @AUTOMAKE@
101 AWK = @AWK@
102 BASH = @BASH@
103 CC = @CC@
104 CCDEPMODE = @CCDEPMODE@
105 CFLAGS = @CFLAGS@
106 CPP = @CPP@
107 CPPFLAGS = @CPPFLAGS@
108 CXX = @CXX@
109 CXXCPP = @CXXCPP@
110 CXXDEPMODE = @CXXDEPMODE@
111 CXXFLAGS = @CXXFLAGS@
112 CYGPATH_W = @CYGPATH_W@
113 DEFS = @DEFS@
114 DEPDIR = @DEPDIR@
115 DLLTOOL = @DLLTOOL@
116 DOXYGEN = @DOXYGEN@
117 ECHO = @ECHO@
118 ECHO_C = @ECHO_C@
119 ECHO_N = @ECHO_N@
120 ECHO_T = @ECHO_T@
121 EGREP = @EGREP@
122 EXEEXT = @EXEEXT@
123 F77 = @F77@
124 FFLAGS = @FFLAGS@
125 FLEXML = @FLEXML@
126 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
127 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
128 GRAS_DEP = @GRAS_DEP@
129 GREP = @GREP@
130 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
131 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
132 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
133 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
134 INSTALL_DATA = @INSTALL_DATA@
135 INSTALL_PROGRAM = @INSTALL_PROGRAM@
136 INSTALL_SCRIPT = @INSTALL_SCRIPT@
137 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
138 LDFLAGS = @LDFLAGS@
139 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
140 LEX = @LEX@
141 LEXLIB = @LEXLIB@
142 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
143 LIBOBJS = @LIBOBJS@
144 LIBS = @LIBS@
145 LIBTOOL = @LIBTOOL@
146 LN_S = @LN_S@
147 LTLIBOBJS = @LTLIBOBJS@
148 MAINT = @MAINT@
149 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
150 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
151 MAKEINFO = @MAKEINFO@
152 MD5SUM = @MD5SUM@
153 OBJDUMP = @OBJDUMP@
154 OBJEXT = @OBJEXT@
155 PACKAGE = @PACKAGE@
156 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
157 PACKAGE_NAME = @PACKAGE_NAME@
158 PACKAGE_STRING = @PACKAGE_STRING@
159 PACKAGE_TARNAME = @PACKAGE_TARNAME@
160 PACKAGE_VERSION = @PACKAGE_VERSION@
161 PATH_SEPARATOR = @PATH_SEPARATOR@
162 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
163 RANLIB = @RANLIB@
164 SET_MAKE = @SET_MAKE@
165 SHELL = @SHELL@
166 SIMGRID_DEP = @SIMGRID_DEP@
167 STRIP = @STRIP@
168 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
169 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
170 VERSION = @VERSION@
171 WARNING = @WARNING@
172 abs_builddir = @abs_builddir@
173 abs_srcdir = @abs_srcdir@
174 abs_top_builddir = @abs_top_builddir@
175 abs_top_srcdir = @abs_top_srcdir@
176 ac_configure_args = @ac_configure_args@
177 ac_ct_CC = @ac_ct_CC@
178 ac_ct_CXX = @ac_ct_CXX@
179 ac_ct_F77 = @ac_ct_F77@
180 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
181 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
182 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
183 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
184 am__include = @am__include@
185 am__leading_dot = @am__leading_dot@
186 am__quote = @am__quote@
187 am__tar = @am__tar@
188 am__untar = @am__untar@
189 bindir = @bindir@
190 build = @build@
191 build_alias = @build_alias@
192 build_cpu = @build_cpu@
193 build_id = @build_id@
194 build_os = @build_os@
195 build_vendor = @build_vendor@
196 datadir = @datadir@
197 datarootdir = @datarootdir@
198 docdir = @docdir@
199 dvidir = @dvidir@
200 exec_prefix = @exec_prefix@
201 host = @host@
202 host_alias = @host_alias@
203 host_cpu = @host_cpu@
204 host_os = @host_os@
205 host_vendor = @host_vendor@
206 htmldir = @htmldir@
207 includedir = @includedir@
208 infodir = @infodir@
209 install_sh = @install_sh@
210 libdir = @libdir@
211 libexecdir = @libexecdir@
212 localedir = @localedir@
213 localstatedir = @localstatedir@
214 mandir = @mandir@
215 mkdir_p = @mkdir_p@
216 oldincludedir = @oldincludedir@
217 pdfdir = @pdfdir@
218 prefix = @prefix@
219 program_transform_name = @program_transform_name@
220 psdir = @psdir@
221 pth_skaddr_makecontext = @pth_skaddr_makecontext@
222 pth_sksize_makecontext = @pth_sksize_makecontext@
223 sbindir = @sbindir@
224 sharedstatedir = @sharedstatedir@
225 sysconfdir = @sysconfdir@
226 target = @target@
227 target_alias = @target_alias@
228 target_cpu = @target_cpu@
229 target_os = @target_os@
230 target_vendor = @target_vendor@
231 INCLUDES = -I$(top_srcdir)/include
232 AM_CFLAGS = -g
233 TESTS = test_rl test_sg
234 EXTRA_DIST = chrono.xml
235 chrono_simulator_SOURCES = _chrono_simulator.c chrono.c
236 chrono_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
237 chrono_multiplier_SOURCES = _chrono_multiplier.c chrono.c
238 chrono_multiplier_LDADD = $(top_builddir)/src/libgras.la
239
240 # Take care of generatated sources
241 NAME = chrono
242 PROCESSES = multiplier
243 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
244              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
245
246 MOSTLYCLEANFILES = $(NAME).trace
247 all: all-am
248
249 .SUFFIXES:
250 .SUFFIXES: .c .lo .o .obj
251 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
252         @for dep in $?; do \
253           case '$(am__configure_deps)' in \
254             *$$dep*) \
255               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
256                 && exit 0; \
257               exit 1;; \
258           esac; \
259         done; \
260         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/chrono/Makefile'; \
261         cd $(top_srcdir) && \
262           $(AUTOMAKE) --gnu  examples/gras/chrono/Makefile
263 .PRECIOUS: Makefile
264 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
265         @case '$?' in \
266           *config.status*) \
267             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
268           *) \
269             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
270             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
271         esac;
272
273 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
274         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
275
276 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
277         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
278 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
279         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
280 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
281         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
282 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
283         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
284
285 clean-noinstPROGRAMS:
286         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
287           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
288           echo " rm -f $$p $$f"; \
289           rm -f $$p $$f ; \
290         done
291 chrono_multiplier$(EXEEXT): $(chrono_multiplier_OBJECTS) $(chrono_multiplier_DEPENDENCIES) 
292         @rm -f chrono_multiplier$(EXEEXT)
293         $(LINK) $(chrono_multiplier_LDFLAGS) $(chrono_multiplier_OBJECTS) $(chrono_multiplier_LDADD) $(LIBS)
294 chrono_simulator$(EXEEXT): $(chrono_simulator_OBJECTS) $(chrono_simulator_DEPENDENCIES) 
295         @rm -f chrono_simulator$(EXEEXT)
296         $(LINK) $(chrono_simulator_LDFLAGS) $(chrono_simulator_OBJECTS) $(chrono_simulator_LDADD) $(LIBS)
297
298 mostlyclean-compile:
299         -rm -f *.$(OBJEXT)
300
301 distclean-compile:
302         -rm -f *.tab.c
303
304 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_chrono_multiplier.Po@am__quote@
305 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_chrono_simulator.Po@am__quote@
306 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chrono.Po@am__quote@
307
308 .c.o:
309 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
310 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
311 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
312 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
313 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
314
315 .c.obj:
316 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
317 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
318 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
319 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
320 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
321
322 .c.lo:
323 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
324 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
325 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
326 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
327 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
328
329 mostlyclean-libtool:
330         -rm -f *.lo
331
332 clean-libtool:
333         -rm -rf .libs _libs
334
335 distclean-libtool:
336         -rm -f libtool
337 uninstall-info-am:
338
339 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
340         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
341         unique=`for i in $$list; do \
342             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
343           done | \
344           $(AWK) '    { files[$$0] = 1; } \
345                END { for (i in files) print i; }'`; \
346         mkid -fID $$unique
347 tags: TAGS
348
349 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
350                 $(TAGS_FILES) $(LISP)
351         tags=; \
352         here=`pwd`; \
353         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
354         unique=`for i in $$list; do \
355             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
356           done | \
357           $(AWK) '    { files[$$0] = 1; } \
358                END { for (i in files) print i; }'`; \
359         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
360           test -n "$$unique" || unique=$$empty_fix; \
361           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
362             $$tags $$unique; \
363         fi
364 ctags: CTAGS
365 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
366                 $(TAGS_FILES) $(LISP)
367         tags=; \
368         here=`pwd`; \
369         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
370         unique=`for i in $$list; do \
371             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
372           done | \
373           $(AWK) '    { files[$$0] = 1; } \
374                END { for (i in files) print i; }'`; \
375         test -z "$(CTAGS_ARGS)$$tags$$unique" \
376           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
377              $$tags $$unique
378
379 GTAGS:
380         here=`$(am__cd) $(top_builddir) && pwd` \
381           && cd $(top_srcdir) \
382           && gtags -i $(GTAGS_ARGS) $$here
383
384 distclean-tags:
385         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
386
387 check-TESTS: $(TESTS)
388         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
389         srcdir=$(srcdir); export srcdir; \
390         list='$(TESTS)'; \
391         if test -n "$$list"; then \
392           for tst in $$list; do \
393             if test -f ./$$tst; then dir=./; \
394             elif test -f $$tst; then dir=; \
395             else dir="$(srcdir)/"; fi; \
396             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
397               all=`expr $$all + 1`; \
398               case " $(XFAIL_TESTS) " in \
399               *" $$tst "*) \
400                 xpass=`expr $$xpass + 1`; \
401                 failed=`expr $$failed + 1`; \
402                 echo "XPASS: $$tst"; \
403               ;; \
404               *) \
405                 echo "PASS: $$tst"; \
406               ;; \
407               esac; \
408             elif test $$? -ne 77; then \
409               all=`expr $$all + 1`; \
410               case " $(XFAIL_TESTS) " in \
411               *" $$tst "*) \
412                 xfail=`expr $$xfail + 1`; \
413                 echo "XFAIL: $$tst"; \
414               ;; \
415               *) \
416                 failed=`expr $$failed + 1`; \
417                 echo "FAIL: $$tst"; \
418               ;; \
419               esac; \
420             else \
421               skip=`expr $$skip + 1`; \
422               echo "SKIP: $$tst"; \
423             fi; \
424           done; \
425           if test "$$failed" -eq 0; then \
426             if test "$$xfail" -eq 0; then \
427               banner="All $$all tests passed"; \
428             else \
429               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
430             fi; \
431           else \
432             if test "$$xpass" -eq 0; then \
433               banner="$$failed of $$all tests failed"; \
434             else \
435               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
436             fi; \
437           fi; \
438           dashes="$$banner"; \
439           skipped=""; \
440           if test "$$skip" -ne 0; then \
441             skipped="($$skip tests were not run)"; \
442             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
443               dashes="$$skipped"; \
444           fi; \
445           report=""; \
446           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
447             report="Please report to $(PACKAGE_BUGREPORT)"; \
448             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
449               dashes="$$report"; \
450           fi; \
451           dashes=`echo "$$dashes" | sed s/./=/g`; \
452           echo "$$dashes"; \
453           echo "$$banner"; \
454           test -z "$$skipped" || echo "$$skipped"; \
455           test -z "$$report" || echo "$$report"; \
456           echo "$$dashes"; \
457           test "$$failed" -eq 0; \
458         else :; fi
459
460 distdir: $(DISTFILES)
461         $(mkdir_p) $(distdir)/../../../acmacro $(distdir)/../../../examples
462         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
463         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
464         list='$(DISTFILES)'; for file in $$list; do \
465           case $$file in \
466             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
467             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
468           esac; \
469           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
470           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
471           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
472             dir="/$$dir"; \
473             $(mkdir_p) "$(distdir)$$dir"; \
474           else \
475             dir=''; \
476           fi; \
477           if test -d $$d/$$file; then \
478             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
479               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
480             fi; \
481             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
482           else \
483             test -f $(distdir)/$$file \
484             || cp -p $$d/$$file $(distdir)/$$file \
485             || exit 1; \
486           fi; \
487         done
488 check-am: all-am
489         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
490 check: check-am
491 all-am: Makefile $(PROGRAMS)
492 installdirs:
493 install: install-am
494 install-exec: install-exec-am
495 install-data: install-data-am
496 uninstall: uninstall-am
497
498 install-am: all-am
499         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
500
501 installcheck: installcheck-am
502 install-strip:
503         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
504           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
505           `test -z '$(STRIP)' || \
506             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
507 mostlyclean-generic:
508         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
509
510 clean-generic:
511         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
512
513 distclean-generic:
514         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
515
516 maintainer-clean-generic:
517         @echo "This command is intended for maintainers to use"
518         @echo "it deletes files that may require special tools to rebuild."
519 clean: clean-am
520
521 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
522         mostlyclean-am
523
524 distclean: distclean-am
525         -rm -rf ./$(DEPDIR)
526         -rm -f Makefile
527 distclean-am: clean-am distclean-compile distclean-generic \
528         distclean-libtool distclean-tags
529
530 dvi: dvi-am
531
532 dvi-am:
533
534 html: html-am
535
536 info: info-am
537
538 info-am:
539
540 install-data-am:
541
542 install-exec-am:
543
544 install-info: install-info-am
545
546 install-man:
547
548 installcheck-am:
549
550 maintainer-clean: maintainer-clean-am
551         -rm -rf ./$(DEPDIR)
552         -rm -f Makefile
553 maintainer-clean-am: distclean-am maintainer-clean-generic
554
555 mostlyclean: mostlyclean-am
556
557 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
558         mostlyclean-libtool
559
560 pdf: pdf-am
561
562 pdf-am:
563
564 ps: ps-am
565
566 ps-am:
567
568 uninstall-am: uninstall-info-am
569
570 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
571         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
572         distclean distclean-compile distclean-generic \
573         distclean-libtool distclean-tags distdir dvi dvi-am html \
574         html-am info info-am install install-am install-data \
575         install-data-am install-exec install-exec-am install-info \
576         install-info-am install-man install-strip installcheck \
577         installcheck-am installdirs maintainer-clean \
578         maintainer-clean-generic mostlyclean mostlyclean-compile \
579         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
580         tags uninstall uninstall-am uninstall-info-am
581
582
583 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
584         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
585
586 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
587         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
588
589 dist-files:
590         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
591         @echo
592         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
593
594 # Cruft
595 # Tell versions [3.59,3.63) of GNU make to not export all variables.
596 # Otherwise a system limit (for SysV at least) may be exceeded.
597 .NOEXPORT: